<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('classifiers/product-fields:search', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFieldsController::class, 'search'])->name('searchProductFields');
Route::get('classifiers/product-fields/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFieldsController::class, 'get'])->name('getProductField');
Route::patch('classifiers/product-fields/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFieldsController::class, 'patch'])->name('patchProductField');
Route::post('classifiers/product-statuses:search', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductStatusesController::class, 'search'])->name('searchProductStatuses');
Route::get('classifiers/product-statuses/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductStatusesController::class, 'get'])->name('getProductStatus');
Route::put('classifiers/product-statuses/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductStatusesController::class, 'replace'])->name('replaceProductStatus');
Route::post('classifiers/product-flags:search', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFlagsController::class, 'search'])->name('searchProductFlags');
Route::get('classifiers/product-flags/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFlagsController::class, 'get'])->name('getProductFlag');
Route::put('classifiers/product-flags/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\ProductFlagsController::class, 'replace'])->name('replaceProductFlag');
Route::get('classifiers/enums/property-types', [\App\Http\ApiV1\Modules\Classifiers\Controllers\EnumsController::class, 'getPropertyTypes'])->name('getPropertyTypes');
Route::get('classifiers/enums/product-types', [\App\Http\ApiV1\Modules\Classifiers\Controllers\EnumsController::class, 'getProductTypes'])->name('getProductTypes');
Route::get('classifiers/enums/metrics-categories', [\App\Http\ApiV1\Modules\Classifiers\Controllers\EnumsController::class, 'getMetricsCategories'])->name('getMetricsCategories');
Route::post('products/products:search', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'search'])->name('searchProductDrafts');
Route::post('products/products:preload-image', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'preloadImage'])->name('preloadProductImage');
Route::post('products/products', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'create'])->name('createProduct');
Route::post('products/products:mass-delete', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'massDelete'])->name('massDeleteProducts');
Route::get('products/products/{id}', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'get'])->name('getProductDraft');
Route::put('products/products/{id}', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'replace'])->name('replaceProduct');
Route::delete('products/products/{id}', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'delete'])->name('deleteProduct');
Route::patch('products/products/{id}', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'patch'])->name('patchProduct');
Route::put('products/products/{id}/images', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'replaceImages'])->name('replaceProductImages');
Route::patch('products/products/{id}/images', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'patchImages'])->name('patchProductImages');
Route::put('products/products/{id}/attributes', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'replaceAttributes'])->name('replaceProductAttributes');
Route::patch('products/products/{id}/attributes', [\App\Http\ApiV1\Modules\Products\Controllers\ProductsController::class, 'patchAttributes'])->name('patchProductAttributes');
Route::post('products/published:search', [\App\Http\ApiV1\Modules\Products\Controllers\PublishedProductsController::class, 'search'])->name('searchProducts');
Route::get('products/published/{id}', [\App\Http\ApiV1\Modules\Products\Controllers\PublishedProductsController::class, 'get'])->name('getProduct');
Route::post('categories/categories', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'create'])->name('createCategory');
Route::get('categories/categories/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'get'])->name('getCategory');
Route::put('categories/categories/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'replace'])->name('replaceCategory');
Route::delete('categories/categories/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'delete'])->name('deleteCategory');
Route::patch('categories/categories/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'patch'])->name('patchCategory');
Route::post('categories/categories/{id}:bind-properties', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'bindProperties'])->name('bindCategoryProperties');
Route::post('categories/categories:mass-delete', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'massDelete'])->name('deleteCategories');
Route::post('categories/categories:search', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'search'])->name('searchCategories');
Route::post('categories/categories:tree', [\App\Http\ApiV1\Modules\Categories\Controllers\CategoriesController::class, 'tree'])->name('getCategoriesTree');
Route::post('categories/properties', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'create'])->name('createProperty');
Route::get('categories/properties/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'get'])->name('getProperty');
Route::put('categories/properties/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'replace'])->name('replaceProperty');
Route::delete('categories/properties/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'delete'])->name('deleteProperty');
Route::patch('categories/properties/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'patch'])->name('patchProperty');
Route::post('categories/properties:mass-delete', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'massDelete'])->name('deleteProperties');
Route::post('categories/properties:search', [\App\Http\ApiV1\Modules\Categories\Controllers\PropertiesController::class, 'search'])->name('searchProperties');
Route::post('categories/properties/{id}:add-directory', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'create'])->name('createDirectoryValue');
Route::post('categories/properties/directory:preload-image', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'preloadImage'])->name('preloadDirectoryValueImage');
Route::get('categories/properties/directory/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'get'])->name('getDirectoryValue');
Route::put('categories/properties/directory/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'replace'])->name('replaceDirectoryValue');
Route::delete('categories/properties/directory/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'delete'])->name('deleteDirectoryValue');
Route::patch('categories/properties/directory/{id}', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'patch'])->name('patchDirectoryValue');
Route::post('categories/properties/directory:search', [\App\Http\ApiV1\Modules\Categories\Controllers\DirectoryValuesController::class, 'search'])->name('searchDirectoryValues');
Route::post('classifiers/brands', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'create'])->name('createBrand');
Route::get('classifiers/brands/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'get'])->name('getBrand');
Route::put('classifiers/brands/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'replace'])->name('replaceBrand');
Route::delete('classifiers/brands/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'delete'])->name('deleteBrand');
Route::patch('classifiers/brands/{id}', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'patch'])->name('patchBrand');
Route::post('classifiers/brands:search', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'search'])->name('searchBrands');
Route::post('classifiers/brands:mass-delete', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'massDelete'])->name('massDeleteBrands');
Route::post('classifiers/brands/{id}:upload-image', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'uploadImage'])->name('uploadBrandImage');
Route::post('classifiers/brands/{id}:delete-image', [\App\Http\ApiV1\Modules\Classifiers\Controllers\BrandsController::class, 'deleteImage'])->name('deleteBrandImage');
